<?php include('casa/setup.casa.php');
	$codigo = substr(sha1(uniqid()),1,7);
	$txtNombre = DataForms::POST('txtNombre');
	$txtApellidos = DataForms::POST('txtApellidos');
	$txtCI = DataForms::POST('txtCI');
	$txtCelular = DataForms::POST('txtCelular');
	$txtM2 = DataForms::POST('txtM2');
	$txtLote = DataForms::POST('txtLote');
	$txtModalidad = DataForms::POST('txtModalidad');
	$txtPromo = DataForms::POST('txtPromo');
	$txtFechaLimite = DataForms::POST('txtFechaLimite');
	

	if(trim($txtNombre)==''){	
		MostrarMensaje("Ingrese Nombre del Cliente");
		exit();
	} 
	if(trim($txtApellidos)==''){	
		MostrarMensaje("Ingrese Apellidos del Cliente");
		exit();
	} 
	if(trim($txtCI)==''){	
		MostrarMensaje("Ingrese C.I. del Cliente");
		exit();
	} 
	if(trim($txtCelular)==''){	
		MostrarMensaje("Ingrese Celular del Cliente");
		exit();
	} 
	if(trim($txtM2)==''){	
		MostrarMensaje("Ingrese M2");
		exit();
	} 
	if(trim($txtLote)==''){	
		MostrarMensaje("Ingrese Lote");
		exit();
	} 
	if(trim($txtModalidad)==''){	
		MostrarMensaje("Ingrese Modalidad");
		exit();
	} 	
	if(trim($txtPromo)==''){	
		MostrarMensaje("Ingrese Promo");
		exit();
	}
	if(trim($txtFechaLimite)==''){	
		MostrarMensaje("Seleccione fecha limite de cada mes");
		exit();
	} 
	
		
$sql = "INSERT INTO cobros_clientes(	
	clie_codigo,clie_nombres,clie_apellidos,
	clie_ci,clie_celular,clie_m2,
	clie_lote,clie_modalidad,clie_promo, clie_fechalimite
)VALUES(
	'$codigo', '$txtNombre', '$txtApellidos', 
	'$txtCI', '$txtCelular', '$txtM2', 
	'$txtLote', '$txtModalidad', '$txtPromo', '$txtFechaLimite'
);";
$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'clientes/listado";</script>';

//funciones
function MostrarMensaje($Mensaje){
	$sms="<script>swal({
		title: '".AppName."',
			 html: '".$Mensaje."!!!',
			 confirmButtonClass: 'btn bg-dark',
			 confirmButtonText: 'ACEPTAR',
		timer: 3500
  }).then();</script>";

  echo $sms;
}
?>